Bug 1300335 - [UI] not working/unrelated "Accept All" link on "Create Cluster - 2. Select Hosts" page
[UI] not working/unrelated "Accept All" link on "Create Cluster - 2. Select H...
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Ramesh N
Daniel Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 08:41 EST by Daniel Horák
Modified: 2016-11-13 19:04 EST (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Create Cluster - 2. Select Hosts page (32.76 KB, image/png)
2016-01-20 08:41 EST, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2016-01-20 08:41:51 EST
Created attachment 1116658 [details]
Create Cluster - 2. Select Hosts page

Description of problem:
  There is "Accept All" link on "Create Cluster - 2. Select Hosts" page, which does not work and seems quite unrelated to this place as all considered hosts should be already accepted before creating new cluster (and not accepted hosts are not visible in the list of available hosts on this page).

Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64
  rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
  rhscon-ui-0.0.6-0.1.alpha1.el7.noarch

How reproducible:
  100%

Steps to Reproduce:
1. Prepare, install and configure cluster for USM accordingly to documentation.
2. Login to USM web UI and accept some of the "discovered hosts".
3. Navigate to Clusters -> Create Cluster, fill cluster name and continue to the next page "2. Select Hosts"

Actual results:
  * Only accepted hosts are visible between "Available Hosts"
  * Clicking to "Accept All" link do "nothing".

Expected results:
  As "Accepting discovered nodes" task seems quite unrelated to the "Create Cluster" task and should be done before from another page, there shouldn't be "Accept All" button.
Comment 2 Matt Carrano 2016-03-11 16:37:12 EST
Accept All does not belong on this page.
Comment 3 Daniel Horák 2016-07-01 07:10:24 EDT
Tested and VERIFIED on:

# rpm -qa rhscon*
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-ceph-0.0.29-1.el7scon.x86_64
rhscon-core-selinux-0.0.29-1.el7scon.noarch
rhscon-ui-0.0.43-1.el7scon.noarch

"Accept All" link was removed from the create cluster wizard - page "2. Select Hosts".

>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.